SUSE: 2019:1285-1 moderate: libvirt

    Date17 May 2019
    CategorySuSE
    237
    Posted ByLinuxSecurity Advisories
    An update that fixes one vulnerability is now available.
    
       SUSE Security Update: Security update for libvirt
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2019:1285-1
    Rating:             moderate
    References:         #1131595 
    Cross-References:   CVE-2019-3886
    Affected Products:
                        SUSE Linux Enterprise Module for Server Applications 15
                        SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
                        SUSE Linux Enterprise Module for Basesystem 15
    ______________________________________________________________________________
    
       An update that fixes one vulnerability is now available.
    
    Description:
    
       This update for libvirt fixes the following issues:
    
       Security issue fixed:
    
       - CVE-2019-3886: Fixed an information leak which allowed to retrieve the
         guest hostname under readonly mode (bsc#1131595).
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE Linux Enterprise Module for Server Applications 15:
    
          zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2019-1285=1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    
          zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-1285=1
    
       - SUSE Linux Enterprise Module for Basesystem 15:
    
          zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-1285=1
    
    
    
    Package List:
    
       - SUSE Linux Enterprise Module for Server Applications 15 (aarch64 ppc64le s390x x86_64):
    
          libvirt-4.0.0-9.19.4
          libvirt-admin-4.0.0-9.19.4
          libvirt-admin-debuginfo-4.0.0-9.19.4
          libvirt-client-4.0.0-9.19.4
          libvirt-client-debuginfo-4.0.0-9.19.4
          libvirt-daemon-4.0.0-9.19.4
          libvirt-daemon-config-network-4.0.0-9.19.4
          libvirt-daemon-config-nwfilter-4.0.0-9.19.4
          libvirt-daemon-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-interface-4.0.0-9.19.4
          libvirt-daemon-driver-interface-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-lxc-4.0.0-9.19.4
          libvirt-daemon-driver-lxc-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-network-4.0.0-9.19.4
          libvirt-daemon-driver-network-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-nodedev-4.0.0-9.19.4
          libvirt-daemon-driver-nodedev-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-nwfilter-4.0.0-9.19.4
          libvirt-daemon-driver-nwfilter-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-qemu-4.0.0-9.19.4
          libvirt-daemon-driver-qemu-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-secret-4.0.0-9.19.4
          libvirt-daemon-driver-secret-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-storage-4.0.0-9.19.4
          libvirt-daemon-driver-storage-core-4.0.0-9.19.4
          libvirt-daemon-driver-storage-core-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-storage-disk-4.0.0-9.19.4
          libvirt-daemon-driver-storage-disk-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-storage-iscsi-4.0.0-9.19.4
          libvirt-daemon-driver-storage-iscsi-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-storage-logical-4.0.0-9.19.4
          libvirt-daemon-driver-storage-logical-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-storage-mpath-4.0.0-9.19.4
          libvirt-daemon-driver-storage-mpath-debuginfo-4.0.0-9.19.4
          libvirt-daemon-driver-storage-scsi-4.0.0-9.19.4
          libvirt-daemon-driver-storage-scsi-debuginfo-4.0.0-9.19.4
          libvirt-daemon-hooks-4.0.0-9.19.4
          libvirt-daemon-lxc-4.0.0-9.19.4
          libvirt-daemon-qemu-4.0.0-9.19.4
          libvirt-debugsource-4.0.0-9.19.4
          libvirt-devel-4.0.0-9.19.4
          libvirt-doc-4.0.0-9.19.4
          libvirt-lock-sanlock-4.0.0-9.19.4
          libvirt-lock-sanlock-debuginfo-4.0.0-9.19.4
          libvirt-nss-4.0.0-9.19.4
          libvirt-nss-debuginfo-4.0.0-9.19.4
    
       - SUSE Linux Enterprise Module for Server Applications 15 (aarch64 x86_64):
    
          libvirt-daemon-driver-storage-rbd-4.0.0-9.19.4
          libvirt-daemon-driver-storage-rbd-debuginfo-4.0.0-9.19.4
    
       - SUSE Linux Enterprise Module for Server Applications 15 (x86_64):
    
          libvirt-daemon-driver-libxl-4.0.0-9.19.4
          libvirt-daemon-driver-libxl-debuginfo-4.0.0-9.19.4
          libvirt-daemon-xen-4.0.0-9.19.4
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    
          libvirt-debugsource-4.0.0-9.19.4
          wireshark-plugin-libvirt-4.0.0-9.19.4
          wireshark-plugin-libvirt-debuginfo-4.0.0-9.19.4
    
       - SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    
          libvirt-debugsource-4.0.0-9.19.4
          libvirt-libs-4.0.0-9.19.4
          libvirt-libs-debuginfo-4.0.0-9.19.4
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2019-3886.html
       https://bugzilla.suse.com/1131595
    
    _______________________________________________
    sle-security-updates mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    http://lists.suse.com/mailman/listinfo/sle-security-updates
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"25","type":"x","order":"1","pct":55.56,"resources":[]},{"id":"88","title":"Should be more technical","votes":"5","type":"x","order":"2","pct":11.11,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"15","type":"x","order":"3","pct":33.33,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.